<?php

// 审核加入圈子的申请
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_check_user_join_circle.php....Start.", 0);

//获取参数
$userId = ParamUtil::getRequestNumber("userId", 0);//申请者
$circleId = ParamUtil::getRequestNumber("circleId", 0);//圈子id
$msgId = ParamUtil::getRequestNumber("msgId", 0);//圈主收到的消息id

$result = array();

//参数检查
if(empty($userId) || empty($circleId)|| empty($msgId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['id'] = $userId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//判断圈子是否存在
$circleDat = CircleDat::getById($circleId);
if(empty($circleDat)) {
	$result["message"] = "圈子不存在！";
	responseNG($result);
}

//组装返回数据
$result["userName"] = $userMst->name;
$result["circleTitle"] = $circleDat->title;

ErrorLogger::doOutput("Compass...ajax_check_user_join_circle.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>